{
  lib,
  config,
  pkgs,
  ...
}: {
  config = lib.mkIf (config.marleycfg.profiles.desktop && pkgs.stdenv.isLinux) {
    home.pointerCursor.gtk.enable = true;

    gtk = {
      enable = true;

      gtk2.configLocation = "${config.xdg.configHome}/gtk-2.0/gtkrc";

      iconTheme = with config.stylix.iconTheme; {
        name =
          if config.lib.stylix.colors.variant == "dark"
          then dark
          else light;
        inherit package;
      };
    };

    home.shellAbbrs = {
      # Inspect element for UI.
      "cssdebug" = "GTK_DEBUG=interactive";
    };
  };
}
